/*
 
 npc_buff
 
*/
bool GossipHello_npc_buff(Player *player, Creature *_Creature)
 
{
 
    player->ADD_GOSSIP_ITEM(0, "[Buff]Power Word: Fortitude, Rank 8", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+1);
    player->ADD_GOSSIP_ITEM(0, "[Buff]Greater Blessing of Kings", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+2);
        player->ADD_GOSSIP_ITEM(0, "[Buff]Greater Bleesing of Mights", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+3);
    player->ADD_GOSSIP_ITEM(0, "[Buff]Greater Blessing of Wisdom", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+4);
    player->ADD_GOSSIP_ITEM(0, "[Buff]Mark of the Wild, Rank 9", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+5);
    player->ADD_GOSSIP_ITEM(0, "[Buff]Arcane Intellect, Rank 7", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+6);
    player->ADD_GOSSIP_ITEM(0, "[Buff]Soul Stone", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+7);
    player->ADD_GOSSIP_ITEM(0, "[Buff]Thorns, Rank 8", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+8);
    player->ADD_GOSSIP_ITEM(0, "[Buff]Divine Spirit, Rank 8", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+9);
    player->ADD_GOSSIP_ITEM(0, "[Buff]Shadow Protection, Rank 5", GOSSIP_SENDER_MAIN, GOSSIP_ACTION_INFO_DEF+10);
    player->SEND_GOSSIP_MENU(1, _Creature->GetGUID());
    return true;
}
 
 
bool GossipSelect_npc_buff(Player *player, Creature *_Creature, uint32 sender, uint32 action )
 
{
 
    switch(action)
 
    {
        case GOSSIP_ACTION_INFO_DEF+1:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 48161, false); // target, spellid, triggered-e
            break;
 
        case GOSSIP_ACTION_INFO_DEF+2:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 25898, false);
            break;
 
        case GOSSIP_ACTION_INFO_DEF+3:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 48934, false);
            break;
 
        case GOSSIP_ACTION_INFO_DEF+4:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 48938, false);
            break;
 
        case GOSSIP_ACTION_INFO_DEF+5:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 48469, false);
            break;                             
               
                case GOSSIP_ACTION_INFO_DEF+6:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 42995, false);
            break;
 
                case GOSSIP_ACTION_INFO_DEF+7:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 47883, false);
            break;
 
                case GOSSIP_ACTION_INFO_DEF+8:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 53307, false);
            break;
 
                case GOSSIP_ACTION_INFO_DEF+9:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 48073, false);
            break;
 
                case GOSSIP_ACTION_INFO_DEF+10:
            player->CLOSE_GOSSIP_MENU();
            _Creature->CastSpell(player, 48169, false);
            break;
 
    }
 
    return true;
}
 
void AddSC_npc_buff()
{
    Script* newscript;
 
    newscript = new Script;
    newscript->Name = "npc_buff";
    newscript->pGossipHello = &GossipHello_npc_buff;
    newscript->pGossipSelect = &GossipSelect_npc_buff;
    newscript->RegisterSelf();
}